pro selsis_rename, innames, replace=replace, outdir=outdir

ydbraw=concat_dir('$ydb','raw')
regdir=concat_dir(ydbraw,'selsis_regions')
if n_params() eq 0 then begin 
   innames=file_list(regdir,'????SRS.txt')
   if innames(0) eq '' then begin 
      box_message,'No files to rename...'
      return
   endif
   break_file,innames,ll,pp,ff,ee,vv
endif

if n_elements(outdir) eq 0 then outdir=regdir

for i=0,n_elements(innames)-1 do begin 
   dat=rd_tfile(innames(i))
   ssd=where(strpos(dat,':Issued') ne -1,sscnt)
   cols=str2cols(dat(ssd(0)),/trim)
   strtab2vect,cols,xx,year,month,day
   newname=strlowcase(day+month+strmid(year,2,2)) + '_region.text'
   file_append,concat_dir(outdir,newname), dat, /new
   if keyword_set(replace) then $
      file_delete,innames(i)
endfor
end
         
